commit:     e0b484d4ff486831237d12b426fb6331d60d734b
Author:     Filip Kobierski <fkobi <AT> pm <DOT> me>
AuthorDate: Sat Mar  1 15:58:06 2025 +0000
Commit:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
CommitDate: Mon Mar  3 12:05:54 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0b484d4

net-libs/neon: add 0.34.0 with small improvements

- update LICENSE
- remove elibtoolize as it is called with eautoreconf
- sort econfargs
- simplify expat/libxml2 logic
- rename myconf to myeconfargs

Signed-off-by: Filip Kobierski <fkobi <AT> pm.me>
Closes: https://github.com/gentoo/gentoo/pull/40831
Signed-off-by: Petr Vaněk <arkamar <AT> gentoo.org>

 net-libs/neon/Manifest           |   1 +
 net-libs/neon/neon-0.34.0.ebuild | 105 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/net-libs/neon/Manifest b/net-libs/neon/Manifest
index 38b6d4682213..1b9be53c1808 100644
--- a/net-libs/neon/Manifest
+++ b/net-libs/neon/Manifest
@@ -1,2 +1,3 @@
 DIST neon-0.32.4.tar.gz 895482 BLAKE2B 
917f17739976e159bf91f7c594e59c96bb8b92e39c19f5c881354c11951233d3157f6871e4ebc073d493170844e516acc36be4787dbe2005c33b1ec84ae0d364
 SHA512 
82bcd1555f047d26cc5ccd67d2fef8dea4eb5a4cc45ca8030d2f3c356eee03fd78efd7ef45f516948e89f1089686731046b3fe48e73b3d84c65848ef6d86bd7a
 DIST neon-0.33.0.tar.gz 912146 BLAKE2B 
8457e0203fcfbd9209718d139169780898f823d71b950f370f8880c5ec97c7bc5d300b8485803f75e2531a3f58fe6eb78ac5d7a82f57f12078513a3bfd0223b3
 SHA512 
b214ed34cd832dfaf3af08d4bdbe459c3e791f691548a6d44ee0cdc9811856185522bcbd6c2aca9a536fc021a2ed6329bd093cb3435cc40e3cfd9f5af8b92644
+DIST neon-0.34.0.tar.gz 928587 BLAKE2B 
1dedf044b4da1a08b1da14db4b5e6873482f101a2105b7753539795b5e61d1b92fd8b25fc54b82083c7f78cabc476b264f3d22bc9c2f28314f6acd205243e8b0
 SHA512 
3ac77f6964bda3d3bb6190d982e0573f4e1a3e611afa40be7d79829419a2a1bc787905f12057aa30a4bbe80e8b8efd39408fd886e2e36fc4f7cae12b47ed8f29

diff --git a/net-libs/neon/neon-0.34.0.ebuild b/net-libs/neon/neon-0.34.0.ebuild
new file mode 100644
index 000000000000..bfb8680b5c7f
--- /dev/null
+++ b/net-libs/neon/neon-0.34.0.ebuild
@@ -0,0 +1,105 @@
+# Copyright 2001-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="HTTP and WebDAV client library"
+HOMEPAGE="https://notroj.github.io/neon/ https://github.com/notroj/neon";
+SRC_URI="https://notroj.github.io/neon/${P}.tar.gz";
+
+LICENSE="GPL-2+ LGPL-2+" # manpages+tests, core project
+SLOT="0/27"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="+expat gnutls kerberos libproxy nls pkcs11 ssl test zlib"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       expat? ( dev-libs/expat:0=[${MULTILIB_USEDEP}] )
+       !expat? ( dev-libs/libxml2:2=[${MULTILIB_USEDEP}] )
+       kerberos? ( virtual/krb5:0=[${MULTILIB_USEDEP}] )
+       libproxy? ( net-libs/libproxy:0=[${MULTILIB_USEDEP}] )
+       nls? ( virtual/libintl:0=[${MULTILIB_USEDEP}] )
+       ssl? (
+               gnutls? (
+                       app-misc/ca-certificates
+                       net-libs/gnutls:0=[${MULTILIB_USEDEP}]
+               )
+               !gnutls? ( dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
+               pkcs11? ( dev-libs/pakchois:0=[${MULTILIB_USEDEP}] )
+       )
+       zlib? ( sys-libs/zlib:0=[${MULTILIB_USEDEP}] )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       test? (
+               ssl? (
+                       dev-libs/openssl:0
+                       pkcs11? ( dev-libs/nss )
+               )
+       )
+"
+
+MULTILIB_CHOST_TOOLS=(
+       /usr/bin/neon-config
+)
+
+DOCS=( AUTHORS BUGS NEWS README.md THANKS TODO )
+HTML_DOCS=( doc/html/. )
+
+src_prepare() {
+       if use gnutls; then
+               # Ignore failure of test pkcs11.
+               # https://github.com/notroj/neon/issues/72
+               sed -e "s/T(pkcs11)/T_XFAIL(pkcs11)/" -i test/ssl.c || die
+       fi
+
+       default
+
+       AT_M4DIR="macros" eautoreconf
+
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --enable-shared
+               $(use_enable nls)
+               $(use_with expat)
+               $(use_with kerberos gssapi)
+               $(use_with libproxy)
+               $(use_with pkcs11 pakchois)
+               $(use_with zlib)
+       )
+       use expat || myeconfargs+=( --with-libxml2 ) # add libxml if expat is 
not used
+
+       if has_version sys-libs/glibc; then
+               einfo "Enabling SSL library thread-safety using POSIX 
threads..."
+               myeconfargs+=( --enable-threadsafe-ssl=posix )
+       fi
+
+       if use ssl; then
+               if use gnutls; then
+                       myeconfargs+=(
+                               --with-ssl=gnutls
+                               
--with-ca-bundle="${EPREFIX}/etc/ssl/certs/ca-certificates.crt"
+                       )
+               else
+                       myeconfargs+=( --with-ssl=openssl )
+               fi
+       fi
+
+       econf "${myeconfargs[@]}"
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install-{config,headers,lib,man,nls}
+}
+
+multilib_src_install_all() {
+       find "${ED}" -name "*.la" -delete || die
+
+       einstalldocs
+}

Reply via email to